Bug 84520

Summary: [chromium] When prepareToDraw fails due to animation checkerboard, we need to call setNeedsCommit
Product: WebKit Reporter: vollick
Component: WebCore Misc.Assignee: vollick
Status: RESOLVED FIXED    
Severity: Normal CC: cc-bugs, jamesr, nduca, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description vollick 2012-04-20 20:57:00 PDT
Make sure we commit if we drop frames due to animation checkerboard.
Comment 1 vollick 2012-04-20 21:00:05 PDT
Created attachment 138219 [details]
Patch
Comment 2 Adrienne Walker 2012-04-21 15:03:15 PDT
Comment on attachment 138219 [details]
Patch

I feel like I remember that this used to happen, but maybe it got removed in a refactoring.  Thanks!  R=me.
Comment 3 WebKit Review Bot 2012-04-23 07:53:27 PDT
Comment on attachment 138219 [details]
Patch

Clearing flags on attachment: 138219

Committed r114898: <http://trac.webkit.org/changeset/114898>
Comment 4 WebKit Review Bot 2012-04-23 07:53:31 PDT
All reviewed patches have been landed.  Closing bug.